/* All this linker script does is allocate memory and */
/* prepend the QEMU boot stub to our program */
ENTRY(_start)
SECTIONS {
    . = 0x40000000;
    .startup . : { build/boot.o(.text) }
    .text : { *(.text) }
    .data : { *(.data) }
    .bss : { *(.bss COMMON) }
    . = ALIGN(8);
    . += 0x1000; /* 4kB of stack memory */
    stack_top = .;
}
